# cronwrapper

Wrapper for cronjobs to handle failures in a more sane way.

## Features
  * Set a time limit for how long cron job are allowed to run
  * Detect failures based on exit codes and output to stderr
  * Restrict how often a cron job should send output mail on failure
  * Ensure that only a single instance of the cron job is running at any time


## Usage
Just run `cronwrapper --help` to check available options and flags. Decide on
your preferences, and define your cronjob like this:

`* * * * * root /usr/local/bin/cronwrapper -n awesome_job -- /path/to/cronjob --cronjobflag`

